Get saving history
GET /v2/treasury/savings/{savingId}/history
Get the history for a specific saving with filters and pagination
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09The saving ID
Query Parameters
Section titled “Query Parameters ”PENDINGThe status of the transaction
DEPOSITThe action type of the transaction
2025-01-01T00:00:00.000ZThe start date of the transaction
2025-01-01T00:00:00.000ZThe end date of the transaction
descThe sort order by Date
Object with the page number and the number of items per page
object
Page number (starts at 1)
1Items per page
10Total number of items
100Total number of pages
10Whether there is a next page
trueWhether there is a previous page
Responses
Section titled “ Responses ”List of saving history entries
object
List of saving history items
object
The history entry ID
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09The wallet ID
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09The saving ID
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09The action type, either “deposit” or “withdraw”
The current status, e.g., “pending”, “completed”, “failed”
The status of the fee processing, similar to transaction status
The transaction query ID
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09The currency ID
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09Total value involved in the transaction
100.123456Customer’s original input value before any deductions
100.123456Final customer value after applying fees or deductions
98.123456Customer-specific fee amount
1.000000Admin fee calculated from the transaction
1.000000Amount of admin fee that has already been paid
1.000000Customer’s balance before the transaction
1000.123456Customer’s balance after the transaction
1100.123456The transaction timestamp
2024-03-20T10:30:00.000ZLast update timestamp
2024-03-20T10:30:00.000ZPagination information
object
Page number (starts at 1)
1Items per page
10Total number of items
100Total number of pages
10Whether there is a next page
trueWhether there is a previous page
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error